import { defaultTimeoutSeconds } from './option';
import { loadResource } from './load-resource';
import { getDefaultOption } from './default-option';
/**
 * @public
 * @param src
 * @param id
 * @param timeoutSeconds
 * @param appendTo
 * @param executionStrategy
 */
var loadScript = function (_a) {
    var _b;
    var src = _a.src, id = _a.id, timeoutSeconds = _a.timeoutSeconds, appendTo = _a.appendTo, executionStrategy = _a.executionStrategy;
    return loadResource({
        url: src,
        hostElementTagName: 'script',
        timeoutSeconds: (_b = timeoutSeconds !== null && timeoutSeconds !== void 0 ? timeoutSeconds : getDefaultOption().timeoutSeconds) !== null && _b !== void 0 ? _b : defaultTimeoutSeconds,
        id: id,
        appendTo: appendTo !== null && appendTo !== void 0 ? appendTo : getDefaultOption().appendTo,
        beforeElementCreateCallback: function (el) {
            if (el instanceof HTMLScriptElement) {
                switch (executionStrategy !== null && executionStrategy !== void 0 ? executionStrategy : getDefaultOption().executionStrategy) {
                    case 'async':
                        el.async = true;
                        el.defer = false;
                        break;
                    default:
                        el.defer = true;
                        el.async = false;
                }
            }
        },
    });
};
export { loadScript };
